#!/bin/sh

if [ -z "${PRJROOT}" ] ; then 
   echo "Please source neuros-env from your project root before running this script."
   exit 1
fi

CFLAGS="-Os -march=armv5te -I$KNL_INSTALL_DIR/include -I$TOOLCHAIN/target/usr/include -msoft-float -mlittle-endian" \
CXXLAGS="-Os -march=armv5te -I$KNL_INSTALL_DIR/include -I$TOOLCHAIN/target/usr/include -msoft-float -mlittle-endian" \
LDFLAGS="-Wl,-z,defs" \
PKG_CONFIG_LIBDIR=${PRJROOT}/vlc/extras/contrib/lib/pkgconfig \
PATH=${TOOLCHAIN_USR_INSTALL}/bin:$PATH \
${PRJROOT}/vlc/configure \
	--prefix=/usr \
	--enable-debug --enable-maintainer-mode \
        --host=arm-linux \
	--enable-optimizations \
	--with-contrib \
	--disable-nls \
	--disable-dvdread \
	--disable-wxwidgets --disable-skins2 \
	--disable-libmpeg2 --disable-dvdnav \
	--disable-x11 --disable-xvideo --disable-opengl --disable-glx \
	--disable-screen --disable-caca \
	--enable-httpd --enable-vlm \
    	--disable-fb \
	--disable-freetype --disable-sdl --enable-png \
	--enable-live555 --enable-tremor \
        --disable-mod --enable-fb \
	--enable-davinci --enable-davinciresizer \
	--disable-caca --disable-aa \
    --enable-a52 --with-a52-fixed \
    --enable-flac \
	\
        --enable-v4l2 --enable-wma --enable-faad \
    \
    \
        --disable-dbus \
	$* && \
    echo
    echo Now run \`make\'
# end
